ConsistentRegionConfig.Trigger (Java Application API for IBM Streams)
Date: 2020-08-07

com.ibm.streamsx.topology.consistent

## Enum ConsistentRegionConfig.Trigger

- java.lang.Object
- - java.lang.Enum<ConsistentRegionConfig.Trigger>
  - - com.ibm.streamsx.topology.consistent.ConsistentRegionConfig.Trigger

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ConsistentRegionConfig.Trigger>
  Enclosing class:
    ConsistentRegionConfig

      public static enum ConsistentRegionConfig.Trigger
      extends java.lang.Enum<ConsistentRegionConfig.Trigger>

  Defines how the drain-checkpoint cycle of a consistent region is triggered.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `OPERATOR_DRIVEN` Region is triggered by the start operator.
    `PERIODIC` Region is triggered periodically.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ConsistentRegionConfig.Trigger` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ConsistentRegionConfig.Trigger[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### OPERATOR_DRIVEN

          public static final ConsistentRegionConfig.Trigger OPERATOR_DRIVEN

      Region is triggered by the start operator.

    - #### PERIODIC

          public static final ConsistentRegionConfig.Trigger PERIODIC

      Region is triggered periodically.

  - ### Method Detail

    - #### values

          public static ConsistentRegionConfig.Trigger[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ConsistentRegionConfig.Trigger c : ConsistentRegionConfig.Trigger.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ConsistentRegionConfig.Trigger valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null